FreeMat

- Main Page
- Related Pages

vtkImageMultipleInputOutputFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkImageMultipleInputOutputFilter is a super class for filters that have any number of inputs. Streaming is not available in this class yet.

To create an instance of class vtkImageMultipleInputOutputFilter, simply invoke its constructor as follows

      obj = vtkImageMultipleInputOutputFilter

# Methods

The class vtkImageMultipleInputOutputFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageMultipleInputOutputFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageMultipleInputOutputFilter = obj.NewInstance ()`
- `vtkImageMultipleInputOutputFilter = obj.SafeDownCast (vtkObject o)`
- `vtkImageData = obj.GetOutput (int num)` - Get one input to this filter.
- `vtkImageData = obj.GetOutput ()` - Get one input to this filter.